List pools
curl --request GET \
--url https://api.swap.shield.fi/poolsimport requests
url = "https://api.swap.shield.fi/pools"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.swap.shield.fi/pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "<string>",
"creator": "<string>",
"enabled": true,
"fee_percent": "<string>",
"id": "<string>",
"init_tx": "<string>",
"key": "<string>",
"token0": "<string>",
"token1": "<string>",
"display_flipped": true,
"base_token": {
"address": "<string>",
"decimals": 123,
"id": "<string>",
"name": "<string>",
"symbol": "<string>",
"amm_token_program": "<string>",
"image": "<string>",
"underlying_program": "<string>",
"underlying_token_id": "<string>"
},
"quote_token": {
"address": "<string>",
"decimals": 123,
"id": "<string>",
"name": "<string>",
"symbol": "<string>",
"amm_token_program": "<string>",
"image": "<string>",
"underlying_program": "<string>",
"underlying_token_id": "<string>"
},
"token0_info": {
"address": "<string>",
"decimals": 123,
"id": "<string>",
"name": "<string>",
"symbol": "<string>",
"amm_token_program": "<string>",
"image": "<string>",
"underlying_program": "<string>",
"underlying_token_id": "<string>"
},
"token1_info": {
"address": "<string>",
"decimals": 123,
"id": "<string>",
"name": "<string>",
"symbol": "<string>",
"amm_token_program": "<string>",
"image": "<string>",
"underlying_program": "<string>",
"underlying_token_id": "<string>"
}
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123
},
"valuation": {
"corroborated": true,
"decimals": 1,
"price": "<string>",
"publishTime": 123,
"serverTime": 123,
"source": "<string>",
"validUntil": 123
}
}{
"error": "<string>",
"ref": "<string>"
}{
"error": "<string>",
"ref": "<string>"
}List pools
List registered pools with token metadata, fees, enabled state, and pagination.
GET
/
pools
List pools
Query Parameters
Page size (1-100)
Page offset
Include the server USDC/USD valuation
⌘I